Skip to main content
`Ctrl`+`K`

# PetscSectionGetClosureIndex

Get the cache of points in the closure of each point in the section set with `PetscSectionSetClosureIndex()`

## Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionGetClosureIndex(PetscSection section, PetscObject obj, PetscSection *clSection, IS *clPoints)

Collective

## Input Parameters

- section - The `PetscSection`

- obj - A `PetscObject` which serves as the key for this index

## Output Parameters

- clSection - `PetscSection` giving the size of the closure of each point

- clPoints - `IS` giving the points in each closure

## See Also

PetscSection, `PetscSectionSetClosureIndex()`, `DMPlexCreateClosureIndex()`

## Level

advanced

## Location

src/vec/is/section/interface/section.c

Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages